Subject: Re: bug#32691: OpenMolcas

From: Eric Brown <[email-masked]>
Date: Wed, 19 Sep 2018 19:13:40 -0500

[email-masked] (Ludovic Courtès) writes:

> Hi Eric,
>
> We’re almost there!  :-)
>
> I made small changes (moved comments about the patch at the top of the
> patch; switch to ‘texlive-union’, which is much smaller than ‘texlive’),
> leading to the attached patch.
>
> It’s all good, except that the file layout really doesn’t match the
> usual conventions:
>
> [...]
>
> Ideally basis_library/ and data/ would go under share/openmolcas, while
> CONTRIBUTORS.md and LICENSE would go to share/doc/openmolcas.  Also, it
> would be nice to remove the ‘.exe’ extension.
>
> Do you think you could easily fiddle with CMake to fix these and/or
> report it upstream?  I could apply the patch as is but I think users may
> not be pleased by this.  WDYT?
>
> Thank you for your time, and sorry for the extra round trip!

Hi Ludo',

Thank you again. Indeed, "/" gets littered with some files that out to
go into share. This has been noted in discussions upstream.

Though we've put a bunch of work into this, I think it would be good to
pause and see if we can make some of these changes upstream, as you
suggest.

(Also I need some time to brush up on CMake -- perhaps I can contribute
some of these changes myself.)

Warm regards,
Eric